## Package org.apache.cassandra.io.compress

Interface Summary
ICompressor

Class Summary
CompressedRandomAccessReader: CRAR extends RAR to transparently uncompress blocks from the file into RAR.buffer.
CompressedSequentialWriter
CompressedSequentialWriter.CompressedFileWriterMark: Class to hold a mark to the position of the file
CompressionMetadata: Holds metadata about compressed file
CompressionMetadata.Chunk: Holds offset and length of the file chunk
CompressionMetadata.Writer
CompressionParameters
DeflateCompressor
ICompressor.WrappedArray: A simple wrapper of a byte array.
SnappyCompressor

Exception Summary
CorruptedBlockException

Copyright © 2013 The Apache Software Foundation